Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:41 2009

## Asterisk developer's documentation

# iax_ies Struct Reference

`#include <iax2-parser.h>`

## Data Fields

unsigned short | adsicpe
struct sockaddr_in * | apparent_addr
unsigned int | authmethods
int | autoanswer
char * | called_context
char * | called_number
char * | calling_ani
char * | calling_name
char * | calling_number
int | calling_pres
int | calling_tns
int | calling_ton
unsigned short | callno
unsigned char | calltoken
unsigned char * | calltokendata
unsigned int | capability
char * | cause
unsigned char | causecode
char * | challenge
char * | codec_prefs
unsigned int | datetime
char * | devicetype
char * | dnid
unsigned short | dpstatus
unsigned char * | enckey
unsigned char | enckeylen
unsigned int | encmethods
int | firmwarever
unsigned int | format
unsigned char * | fwdata
unsigned char | fwdatalen
unsigned int | fwdesc
unsigned char | iax_unknown
char * | language
char * | md5_result
int | msgcount
int | musiconhold
char * | password
unsigned int | provver
int | provverpres
char * | rdnis
unsigned short | refresh
unsigned short | rr_delay
unsigned int | rr_dropped
unsigned int | rr_jitter
unsigned int | rr_loss
unsigned int | rr_ooo
unsigned int | rr_pkts
char * | rsa_result
unsigned short | samprate
char * | serviceident
unsigned int | transferid
char * | username
int | version

## Detailed Description

Definition at line 21 of file iax2-parser.h.

## Field Documentation

unsigned short adsicpe

Definition at line 37 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

struct sockaddr_in* apparent_addr`[read]`

Definition at line 45 of file iax2-parser.h.

Referenced by iax2_ack_registry(), iax_parse_ies(), and try_transfer().

unsigned int authmethods

Definition at line 40 of file iax2-parser.h.

Referenced by authenticate_reply(), iax_parse_ies(), and registry_rerequest().

int autoanswer

Definition at line 53 of file iax2-parser.h.

Referenced by iax_parse_ies().

char* called_context

Definition at line 29 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

char* called_number

Definition at line 22 of file iax2-parser.h.

Referenced by check_access(), complete_dpreply(), iax_parse_ies(), and socket_read().

char* calling_ani

Definition at line 24 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

char* calling_name

Definition at line 25 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

char* calling_number

Definition at line 23 of file iax2-parser.h.

Referenced by check_access(), iax2_ack_registry(), and iax_parse_ies().

int calling_pres

Definition at line 28 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

int calling_tns

Definition at line 27 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

int calling_ton

Definition at line 26 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

unsigned short callno

Definition at line 48 of file iax2-parser.h.

Referenced by complete_transfer(), iax_parse_ies(), and try_transfer().

unsigned char calltoken

Definition at line 74 of file iax2-parser.h.

Referenced by handle_call_token(), iax_parse_ies(), and socket_read().

unsigned char* calltokendata

Definition at line 75 of file iax2-parser.h.

Referenced by handle_call_token(), iax_parse_ies(), and socket_read().

unsigned int capability

Definition at line 32 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

char* cause

Definition at line 49 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

unsigned char causecode

Definition at line 50 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

char* challenge

Definition at line 42 of file iax2-parser.h.

Referenced by authenticate_reply(), iax_parse_ies(), and registry_rerequest().

char* codec_prefs

Definition at line 34 of file iax2-parser.h.

Referenced by check_access(), iax_parse_ies(), and socket_read().

unsigned int datetime

Definition at line 56 of file iax2-parser.h.

Referenced by iax_parse_ies().

char* devicetype

Definition at line 57 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

char* dnid

Definition at line 38 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

unsigned short dpstatus

Definition at line 47 of file iax2-parser.h.

Referenced by complete_dpreply(), and iax_parse_ies().

unsigned char* enckey

Definition at line 63 of file iax2-parser.h.

Referenced by iax_parse_ies().

unsigned char enckeylen

Definition at line 64 of file iax2-parser.h.

Referenced by iax_parse_ies().

unsigned int encmethods

Definition at line 41 of file iax2-parser.h.

Referenced by authenticate_reply(), iax_parse_ies(), and socket_read().

int firmwarever

Definition at line 59 of file iax2-parser.h.

Referenced by iax_parse_ies().

unsigned int format

Definition at line 33 of file iax2-parser.h.

Referenced by check_access(), iax_parse_ies(), and socket_read().

unsigned char* fwdata

Definition at line 61 of file iax2-parser.h.

Referenced by iax_parse_ies().

unsigned char fwdatalen

Definition at line 62 of file iax2-parser.h.

Referenced by iax_parse_ies().

unsigned int fwdesc

Definition at line 60 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

unsigned char iax_unknown

Definition at line 51 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

char* language

Definition at line 35 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

char* md5_result

Definition at line 43 of file iax2-parser.h.

Referenced by authenticate_verify(), iax_parse_ies(), and register_verify().

int msgcount

Definition at line 52 of file iax2-parser.h.

Referenced by iax2_ack_registry(), and iax_parse_ies().

int musiconhold

Definition at line 54 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

char* password

Definition at line 31 of file iax2-parser.h.

Referenced by authenticate_verify(), iax_parse_ies(), and register_verify().

unsigned int provver

Definition at line 65 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

int provverpres

Definition at line 67 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

char* rdnis

Definition at line 39 of file iax2-parser.h.

Referenced by iax_parse_ies().

unsigned short refresh

Definition at line 46 of file iax2-parser.h.

Referenced by complete_dpreply(), iax2_ack_registry(), iax_parse_ies(), register_verify(), and socket_read().

unsigned short rr_delay

Definition at line 71 of file iax2-parser.h.

Referenced by iax_parse_ies(), and save_rr().

unsigned int rr_dropped

Definition at line 72 of file iax2-parser.h.

Referenced by iax_parse_ies(), and save_rr().

unsigned int rr_jitter

Definition at line 68 of file iax2-parser.h.

Referenced by iax_parse_ies(), and save_rr().

unsigned int rr_loss

Definition at line 69 of file iax2-parser.h.

Referenced by iax_parse_ies(), and save_rr().

unsigned int rr_ooo

Definition at line 73 of file iax2-parser.h.

Referenced by iax_parse_ies(), and save_rr().

unsigned int rr_pkts

Definition at line 70 of file iax2-parser.h.

Referenced by iax_parse_ies(), and save_rr().

char* rsa_result

Definition at line 44 of file iax2-parser.h.

Referenced by authenticate_verify(), iax_parse_ies(), and register_verify().

unsigned short samprate

Definition at line 66 of file iax2-parser.h.

Referenced by iax_parse_ies().

char* serviceident

Definition at line 58 of file iax2-parser.h.

Referenced by iax_parse_ies(), and socket_read().

unsigned int transferid

Definition at line 55 of file iax2-parser.h.

Referenced by iax_parse_ies(), and try_transfer().

char* username

Definition at line 30 of file iax2-parser.h.

Referenced by authenticate_reply(), check_access(), handle_call_token(), iax2_ack_registry(), iax_parse_ies(), register_verify(), registry_rerequest(), and socket_read().

int version

Definition at line 36 of file iax2-parser.h.

Referenced by check_access(), and iax_parse_ies().

The documentation for this struct was generated from the following file:

- iax2-parser.h